Package qsardes.descriptor.qsarme

# Class QsarMEBaryszMatrix

java.lang.Object
qsardes.descriptor.DescriptorBaryszMatrix
qsardes.descriptor.qsarme.QsarMEBaryszMatrix

All Implemented Interfaces:
  `Descriptor`

public final class QsarMEBaryszMatrix extends DescriptorBaryszMatrix
Barysz matrix descriptors (QSAR-ME Profiler 2025).
Calculates Barysz matrix descriptors.
Returns
SpAbs_Dz# - Graph energy.
SpMax_Dz# - Leading eigenvalue.
SpDiam_Dz# - Spectral diameter.
SpAD_Dz# - Spectral absolute deviation.
SpMAD_Dz# - Spectral mean absolute deviation.
EE_Dz# - Estrada-like index.
SM1_Dz# - Order 1 spectral moment.
VE1_Dz# - Coefficient sum of the last eigenvector.
VE2_Dz# - Average coefficient sum of the last eigenvector.
VE3_Dz# - Logarithmic coefficient sum of the last eigenvector.
VR1_Dz# - Randic-like eigenvector-based index.
VR2_Dz# - Normalized Randic-like eigenvector-based index.
VR3_Dz# - Logarithmic Randic-like eigenvector-based index.
# is the weight defined as Z = atomic number, m = atomic mass, v = van der Waals atomic volume, e = Sanderson atomic electronegativity, p = atomic polarizability, i = atomic first ionization potential and s = atomic instrinsic state (hydrogens included).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMEBaryszMatrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected double`
  `calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `get_sp_ve1_sum(double sp_ve1_sum)`
  `protected double`
  `get_ve3(double sp_ve1_sum, int atom_count)`
  `protected double`
  `get_vr3(double vr1_sum, int atom_count)`
  `protected List<String>`
  `get_weights_list()`

  ### Methods inherited from class qsardes.descriptor.DescriptorBaryszMatrix

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMEBaryszMatrix

    public QsarMEBaryszMatrix()

- ## Method Details

  - ### get_weights_list

    protected List<String> get_weights_list()
    Specified by:
      `get_weights_list` in class `DescriptorBaryszMatrix`

  - ### calculate_sp_ve1_sum

    protected double calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_ve1_sum` in class `DescriptorBaryszMatrix`

  - ### calculate_sp_vr1_sum

    protected double calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_vr1_sum` in class `DescriptorBaryszMatrix`

  - ### get_sp_ve1_sum

    protected double get_sp_ve1_sum(double sp_ve1_sum)
    Specified by:
      `get_sp_ve1_sum` in class `DescriptorBaryszMatrix`

  - ### get_ve3

    protected double get_ve3(double sp_ve1_sum, int atom_count)
    Specified by:
      `get_ve3` in class `DescriptorBaryszMatrix`

  - ### get_vr3

    protected double get_vr3(double vr1_sum, int atom_count)
    Specified by:
      `get_vr3` in class `DescriptorBaryszMatrix`